# Copyright 2021 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON
- name: xnn_qu8_vaddc_minmax_ukernel__neon_ld64_x8
  init: xnn_init_qu8_add_minmax_neon_params
- name: xnn_qu8_vaddc_minmax_ukernel__neon_ld64_x16
  init: xnn_init_qu8_add_minmax_neon_params
- name: xnn_qu8_vaddc_minmax_ukernel__neon_ld64_x32
  init: xnn_init_qu8_add_minmax_neon_params
- name: xnn_qu8_vaddc_minmax_ukernel__neon_ld128_x16
  init: xnn_init_qu8_add_minmax_neon_params
# x86 SSE
- name: xnn_qu8_vaddc_minmax_ukernel__sse2_mul16_ld64_x8
  init: xnn_init_qu8_add_minmax_sse2_params
- name: xnn_qu8_vaddc_minmax_ukernel__sse2_mul16_ld64_x16
  init: xnn_init_qu8_add_minmax_sse2_params
- name: xnn_qu8_vaddc_minmax_ukernel__sse41_mul16_ld64_x8
  init: xnn_init_qu8_add_minmax_sse2_params
- name: xnn_qu8_vaddc_minmax_ukernel__sse41_mul16_ld64_x16
  init: xnn_init_qu8_add_minmax_sse2_params
# x86 AVX
- name: xnn_qu8_vaddc_minmax_ukernel__avx_mul16_ld64_x8
  init: xnn_init_qu8_add_minmax_sse2_params
- name: xnn_qu8_vaddc_minmax_ukernel__avx_mul16_ld64_x16
  init: xnn_init_qu8_add_minmax_sse2_params
# x86 SSE
- name: xnn_qu8_vaddc_minmax_ukernel__sse41_mul32_ld32_x8
  init: xnn_init_qu8_add_minmax_sse4_params
- name: xnn_qu8_vaddc_minmax_ukernel__sse41_mul32_ld32_x16
  init: xnn_init_qu8_add_minmax_sse4_params
# x86 AVX
- name: xnn_qu8_vaddc_minmax_ukernel__avx_mul32_ld32_x8
  init: xnn_init_qu8_add_minmax_sse4_params
- name: xnn_qu8_vaddc_minmax_ukernel__avx_mul32_ld32_x16
  init: xnn_init_qu8_add_minmax_sse4_params
- name: xnn_qu8_vaddc_minmax_ukernel__xop_mul32_ld32_x8
  init: xnn_init_qu8_add_minmax_sse4_params
- name: xnn_qu8_vaddc_minmax_ukernel__xop_mul32_ld32_x16
  init: xnn_init_qu8_add_minmax_sse4_params
# x86 AVX
- name: xnn_qu8_vaddc_minmax_ukernel__avx2_mul32_ld64_x8
  init: xnn_init_qu8_add_minmax_avx2_params
- name: xnn_qu8_vaddc_minmax_ukernel__avx2_mul32_ld64_x16
  init: xnn_init_qu8_add_minmax_avx2_params
# x86 AVX512
- name: xnn_qu8_vaddc_minmax_ukernel__avx512skx_mul32_ld128_x16
  init: xnn_init_qu8_add_minmax_avx512_params
- name: xnn_qu8_vaddc_minmax_ukernel__avx512skx_mul32_ld128_x32
  init: xnn_init_qu8_add_minmax_avx512_params
# WAsm SIMD
- name: xnn_qu8_vaddc_minmax_ukernel__wasmsimd_x8
  init: xnn_init_qu8_add_minmax_wasmsimd_params
- name: xnn_qu8_vaddc_minmax_ukernel__wasmsimd_x16
  init: xnn_init_qu8_add_minmax_wasmsimd_params
- name: xnn_qu8_vaddc_minmax_ukernel__wasmsimd_x32
  init: xnn_init_qu8_add_minmax_wasmsimd_params
# Scalar
- name: xnn_qu8_vaddc_minmax_ukernel__scalar_x1
  init: xnn_init_qu8_add_minmax_scalar_params
- name: xnn_qu8_vaddc_minmax_ukernel__scalar_x2
  init: xnn_init_qu8_add_minmax_scalar_params
- name: xnn_qu8_vaddc_minmax_ukernel__scalar_x4
  init: xnn_init_qu8_add_minmax_scalar_params
